## pilot-link 0.12.4

=== bindings/Java/Makefile ===
# Makefile.in generated by automake 1.10.2 from Makefile.am.
# bindings/Java/Makefile.  Generated from Makefile.in by configure.

# Copyright (C) 1994, 1995, 1996, 1997, 1998, 1999, 2000, 2001, 2002,
# 2003, 2004, 2005, 2006, 2007, 2008  Free Software Foundation, Inc.
# This Makefile.in is free software; the Free Software Foundation
# gives unlimited permission to copy and/or distribute it,
# with or without modifications, as long as this notice is preserved.

# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY, to the extent permitted by law; without
# even the implied warranty of MERCHANTABILITY or FITNESS FOR A
# PARTICULAR PURPOSE.



pkgdatadir = $(datadir)/pilot-link
pkglibdir = $(libdir)/pilot-link
pkgincludedir = $(includedir)/pilot-link
am__cd = CDPATH="$${ZSH_VERSION+.}$(PATH_SEPARATOR)" && cd
install_sh_DATA = $(install_sh) -c -m 644
install_sh_PROGRAM = $(install_sh) -c
install_sh_SCRIPT = $(install_sh) -c
INSTALL_HEADER = $(INSTALL_DATA)
transform = $(program_transform_name)
NORMAL_INSTALL = :
PRE_INSTALL = :
POST_INSTALL = :
NORMAL_UNINSTALL = :
PRE_UNINSTALL = :
POST_UNINSTALL = :
build_triplet = x86_64-unknown-linux-gnu
host_triplet = x86_64-unknown-linux-gnu
target_triplet = x86_64-unknown-linux-gnu
subdir = bindings/Java
DIST_COMMON = README $(srcdir)/Makefile.am $(srcdir)/Makefile.in TODO
ACLOCAL_M4 = $(top_srcdir)/aclocal.m4
am__aclocal_m4_deps = $(top_srcdir)/m4/bluez.m4 \
	$(top_srcdir)/m4/libtool.m4 $(top_srcdir)/m4/ltoptions.m4 \
	$(top_srcdir)/m4/ltsugar.m4 $(top_srcdir)/m4/ltversion.m4 \
	$(top_srcdir)/m4/lt~obsolete.m4 $(top_srcdir)/m4/python.m4 \
	$(top_srcdir)/m4/socklen.m4 $(top_srcdir)/m4/tcl.m4 \
	$(top_srcdir)/m4/threads.m4 \
	$(top_srcdir)/m4/vl_lib_readline.m4 $(top_srcdir)/configure.ac
am__configure_deps = $(am__aclocal_m4_deps) $(CONFIGURE_DEPENDENCIES) \
	$(ACLOCAL_M4)
mkinstalldirs = $(install_sh) -d
CONFIG_HEADER = $(top_builddir)/config.h \
	$(top_builddir)/include/pi-md5.h
CONFIG_CLEAN_FILES =
SOURCES =
DIST_SOURCES =
DISTFILES = $(DIST_COMMON) $(DIST_SOURCES) $(TEXINFOS) $(EXTRA_DIST)
ACLOCAL = ${SHELL} /Source/cvs/palm/pilot-link/HEAD/missing --run aclocal-1.10
AMTAR = ${SHELL} /Source/cvs/palm/pilot-link/HEAD/missing --run tar
AR = ar
AUTOCONF = ${SHELL} /Source/cvs/palm/pilot-link/HEAD/missing --run autoconf
AUTOHEADER = ${SHELL} /Source/cvs/palm/pilot-link/HEAD/missing --run autoheader
AUTOMAKE = ${SHELL} /Source/cvs/palm/pilot-link/HEAD/missing --run automake-1.10
AWK = mawk
BLUEZ_CFLAGS =  
BLUEZ_LIBS = -lbluetooth  
CAT_ENTRY_END = 
CAT_ENTRY_START = 
CC = gcc
CCDEPMODE = depmode=gcc3
CFLAGS = -g2 -Wall
CPP = gcc -E
CPPFLAGS = 
CYGPATH_W = echo
DEFS = -DHAVE_CONFIG_H
DEPDIR = .deps
DOCBOOK_ROOT = 
DSYMUTIL = 
DUMPBIN = 
ECHO_C = 
ECHO_N = -n
ECHO_T = 
EGREP = /bin/grep -E
EXEEXT = 
F77 = 
FFLAGS = 
FGREP = /bin/grep -F
GREP = /bin/grep
ICONV_CFLAGS = 
ICONV_LIBS = 
INSTALL = /usr/bin/install -c
INSTALL_DATA = ${INSTALL} -m 644
INSTALL_PROGRAM = ${INSTALL}
INSTALL_SCRIPT = ${INSTALL}
INSTALL_STRIP_PROGRAM = $(install_sh) -c -s
JAR = 
JAVA = 
JAVABASE = 
JAVAC = 
JAVA_VERSION = 
LD = /usr/bin/ld -m elf_x86_64
LDFLAGS = 
LIBOBJS = 
LIBS = 
LIBTOOL = $(SHELL) $(top_builddir)/libtool
LIPO = 
LN_S = ln -s
LTLIBOBJS = 
MAINT = 
MAKEINFO = ${SHELL} /Source/cvs/palm/pilot-link/HEAD/missing --run makeinfo
MKDIR_P = /bin/mkdir -p
NM = /usr/bin/nm -B
NMEDIT = 
OBJDUMP = objdump
OBJEXT = o
OTOOL = 
OTOOL64 = 
PACKAGE = pilot-link
PACKAGE_BUGREPORT = 
PACKAGE_NAME = 
PACKAGE_STRING = 
PACKAGE_TARNAME = 
PACKAGE_VERSION = 
PATH_SEPARATOR = :
PERL = 
PIC_LIBS = 
PILOT_LINK_MAJOR = 12
PILOT_LINK_MINOR = 4
PILOT_LINK_PATCH = 
PILOT_LINK_VERS = 0
PISOCK_AGE = 0
PISOCK_CURRENT = 9
PISOCK_REVISION = 2
PISYNC_AGE = 0
PISYNC_CURRENT = 1
PISYNC_REVISION = 3
PKG_CONFIG = /usr/bin/pkg-config
PNG_CFLAGS = 
PNG_LIBS = 
POPT_INCLUDES = 
POPT_LIBS = 
PTHREAD_CC = 
PTHREAD_CFLAGS = 
PTHREAD_LIBS = 
PYTHON = 
PYTHON_CFLAGS = 
PYTHON_H = 
PYTHON_LIBS = 
PYTHON_VERSION = 
RANLIB = ranlib
RL_LIBS = 
SED = /bin/sed
SET_MAKE = 
SHELL = /bin/bash
STRIP = strip
TCLSH_PROG = 
TCL_BIN_DIR = 
TCL_DEFS = 
TCL_EXTRA_CFLAGS = 
TCL_INCLUDES = 
TCL_LD_FLAGS = 
TCL_LIBS = 
TCL_LIB_FILE = 
TCL_LIB_FLAG = 
TCL_LIB_SPEC = 
TCL_SHLIB_LD_LIBS = 
TCL_SRC_DIR = 
TCL_STUB_LIB_FILE = 
TCL_STUB_LIB_FLAG = 
TCL_STUB_LIB_SPEC = 
TCL_VERSION = 
VERSION = 0.12.4
WISH_PROG = 
XML_CATALOG = 
XSLTPROC = 
XSLTPROC_FLAGS = --nonet
YACC = yacc
YFLAGS = 
abs_builddir = /Source/cvs/palm/pilot-link/HEAD/bindings/Java
abs_srcdir = /Source/cvs/palm/pilot-link/HEAD/bindings/Java
abs_top_builddir = /Source/cvs/palm/pilot-link/HEAD
abs_top_srcdir = /Source/cvs/palm/pilot-link/HEAD
ac_ct_CC = gcc
ac_ct_DUMPBIN = 
ac_ct_F77 = 
acx_pthread_config = 
am__include = include
am__leading_dot = .
am__quote = 
am__tar = ${AMTAR} chof - "$$tardir"
am__untar = ${AMTAR} xf -
bindir = ${exec_prefix}/bin
build = x86_64-unknown-linux-gnu
build_alias = 
build_cpu = x86_64
build_os = linux-gnu
build_vendor = unknown
builddir = .
datadir = ${datarootdir}
datarootdir = ${prefix}/share
docdir = ${datarootdir}/doc/${PACKAGE}
dvidir = ${docdir}
exec_prefix = ${prefix}
host = x86_64-unknown-linux-gnu
host_alias = 
host_cpu = x86_64
host_os = linux-gnu
host_vendor = unknown
htmldir = ${docdir}
includedir = ${prefix}/include
infodir = ${datarootdir}/info
install_sh = $(SHELL) /Source/cvs/palm/pilot-link/HEAD/install-sh
libdir = ${exec_prefix}/lib
libexecdir = ${exec_prefix}/libexec
localedir = ${datarootdir}/locale
localstatedir = ${prefix}/var
lt_ECHO = echo
mandir = ${datarootdir}/man
mkdir_p = /bin/mkdir -p
oldincludedir = /usr/include
pdfdir = ${docdir}
prefix = /usr/local
program_transform_name = s,x,x,
psdir = ${docdir}
sbindir = ${exec_prefix}/sbin
sharedstatedir = ${prefix}/com
srcdir = .
sysconfdir = ${prefix}/etc
target = x86_64-unknown-linux-gnu
target_alias = 
target_cpu = x86_64
target_os = linux-gnu
target_vendor = unknown
top_build_prefix = ../../
top_builddir = ../..
top_srcdir = ../..
usb_libs = 
PORT = /dev/pilot
INCLUDES = \
	-I../../include			\
	-I $(top_srcdir)/include 	\
	-I $(top_builddir)/include	\
	-I $(JAVABASE)/include		\
	-I $(JAVABASE)/include/linux

java_files = \
	$(srcdir)/MidiMgr.java	\
	$(srcdir)/TestTodos.java	\
	$(srcdir)/org/gnu/pilotlink/AddressAppInfo.java	\
	$(srcdir)/org/gnu/pilotlink/AppInfo.java	\
	$(srcdir)/org/gnu/pilotlink/DBInfo.java	\
	$(srcdir)/org/gnu/pilotlink/DatabaseExistsException.java	\
	$(srcdir)/org/gnu/pilotlink/DatabaseNotFoundException.java	\
	$(srcdir)/org/gnu/pilotlink/DatebookAppInfo.java	\
	$(srcdir)/org/gnu/pilotlink/FTB3CostCatRecord.java	\
	$(srcdir)/org/gnu/pilotlink/MemoRecord.java	\
	$(srcdir)/org/gnu/pilotlink/PilotLink.java	\
	$(srcdir)/org/gnu/pilotlink/PilotLinkException.java	\
	$(srcdir)/org/gnu/pilotlink/RawAppInfo.java	\
	$(srcdir)/org/gnu/pilotlink/RawRecord.java	\
	$(srcdir)/org/gnu/pilotlink/SysInfo.java	\
	$(srcdir)/org/gnu/pilotlink/User.java	\
	$(srcdir)/org/gnu/pilotlink/Version.java	\
	$(srcdir)/org/gnu/pilotlink/AddressRecord.java	\
	$(srcdir)/org/gnu/pilotlink/FTB3TripRecord.java	\
	$(srcdir)/org/gnu/pilotlink/FTB3VehicleRecord.java	\
	$(srcdir)/org/gnu/pilotlink/DatebookRecord.java	\
	$(srcdir)/org/gnu/pilotlink/MidiRecord.java	\
	$(srcdir)/org/gnu/pilotlink/ToDoRecord.java	\
	$(srcdir)/org/gnu/pilotlink/Record.java	\
	$(srcdir)/test.java	\
	$(srcdir)/datebooktst.java	\
	$(srcdir)/adrtest.java

java_classes = \
	MidiMgr.class	\
	TestTodos.class	\
	org/gnu/pilotlink/AddressAppInfo.class	\
	org/gnu/pilotlink/AppInfo.class	\
	org/gnu/pilotlink/DBInfo.class	\
	org/gnu/pilotlink/DatabaseExistsException.class	\
	org/gnu/pilotlink/DatabaseNotFoundException.class	\
	org/gnu/pilotlink/DatebookAppInfo.class	\
	org/gnu/pilotlink/FTB3CostCatRecord.class	\
	org/gnu/pilotlink/MemoRecord.class	\
	org/gnu/pilotlink/PilotLink.class	\
	org/gnu/pilotlink/PilotLinkException.class	\
	org/gnu/pilotlink/RawAppInfo.class	\
	org/gnu/pilotlink/RawRecord.class	\
	org/gnu/pilotlink/SysInfo.class	\
	org/gnu/pilotlink/User.class	\
	org/gnu/pilotlink/Version.class	\
	org/gnu/pilotlink/AddressRecord.class	\
	org/gnu/pilotlink/FTB3TripRecord.class	\
	org/gnu/pilotlink/FTB3VehicleRecord.class	\
	org/gnu/pilotlink/DatebookRecord.class	\
	org/gnu/pilotlink/MidiRecord.class	\
	org/gnu/pilotlink/ToDoRecord.class	\
	org/gnu/pilotlink/Record.class	\
	test.class	\
	datebooktst.class	\
	adrtest.class

all: all-am

.SUFFIXES:
$(srcdir)/Makefile.in:  $(srcdir)/Makefile.am  $(am__configure_deps)
	@for dep in $?; do \
	  case '$(am__configure_deps)' in \
	    *$$dep*) \
	      ( cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh ) \
	        && { if test -f $@; then exit 0; else break; fi; }; \
	      exit 1;; \
	  esac; \
	done; \
	echo ' cd $(top_srcdir) && $(AUTOMAKE) --gnu  bindings/Java/Makefile'; \
	cd $(top_srcdir) && \
	  $(AUTOMAKE) --gnu  bindings/Java/Makefile
.PRECIOUS: Makefile
Makefile: $(srcdir)/Makefile.in $(top_builddir)/config.status
	@case '$?' in \
	  *config.status*) \
	    cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh;; \
	  *) \
	    echo ' cd $(top_builddir) && $(SHELL) ./config.status $(subdir)/$@ $(am__depfiles_maybe)'; \
	    cd $(top_builddir) && $(SHELL) ./config.status $(subdir)/$@ $(am__depfiles_maybe);; \
	esac;

$(top_builddir)/config.status: $(top_srcdir)/configure $(CONFIG_STATUS_DEPENDENCIES)
	cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh

$(top_srcdir)/configure:  $(am__configure_deps)
	cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh
$(ACLOCAL_M4):  $(am__aclocal_m4_deps)
	cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh

mostlyclean-libtool:
	-rm -f *.lo

clean-libtool:
	-rm -rf .libs _libs
tags: TAGS
TAGS:

ctags: CTAGS
CTAGS:


distdir: $(DISTFILES)
	@srcdirstrip=`echo "$(srcdir)" | sed 's/[].[^$$\\*]/\\\\&/g'`; \
	topsrcdirstrip=`echo "$(top_srcdir)" | sed 's/[].[^$$\\*]/\\\\&/g'`; \
	list='$(DISTFILES)'; \
	  dist_files=`for file in $$list; do echo $$file; done | \
	  sed -e "s|^$$srcdirstrip/||;t" \
	      -e "s|^$$topsrcdirstrip/|$(top_builddir)/|;t"`; \
	case $$dist_files in \
	  */*) $(MKDIR_P) `echo "$$dist_files" | \
			   sed '/\//!d;s|^|$(distdir)/|;s,/[^/]*$$,,' | \
			   sort -u` ;; \
	esac; \
	for file in $$dist_files; do \
	  if test -f $$file || test -d $$file; then d=.; else d=$(srcdir); fi; \
	  if test -d $$d/$$file; then \
	    dir=`echo "/$$file" | sed -e 's,/[^/]*$$,,'`; \
	    if test -d $(srcdir)/$$file && test $$d != $(srcdir); then \
	      cp -pR $(srcdir)/$$file $(distdir)$$dir || exit 1; \
	    fi; \
	    cp -pR $$d/$$file $(distdir)$$dir || exit 1; \
	  else \
	    test -f $(distdir)/$$file \
	    || cp -p $$d/$$file $(distdir)/$$file \
	    || exit 1; \
	  fi; \
	done
check-am: all-am
check: check-am
all-am: Makefile
installdirs:
install-exec: install-exec-am
install-data: install-data-am
uninstall: uninstall-am

install-am: all-am
	@$(MAKE) $(AM_MAKEFLAGS) install-exec-am install-data-am

installcheck: installcheck-am
install-strip:
	$(MAKE) $(AM_MAKEFLAGS) INSTALL_PROGRAM="$(INSTALL_STRIP_PROGRAM)" \
	  install_sh_PROGRAM="$(INSTALL_STRIP_PROGRAM)" INSTALL_STRIP_FLAG=-s \
	  `test -z '$(STRIP)' || \
	    echo "INSTALL_PROGRAM_ENV=STRIPPROG='$(STRIP)'"` install
mostlyclean-generic:

clean-generic:

distclean-generic:
	-test -z "$(CONFIG_CLEAN_FILES)" || rm -f $(CONFIG_CLEAN_FILES)

maintainer-clean-generic:
	@echo "This command is intended for maintainers to use"
	@echo "it deletes files that may require special tools to rebuild."
clean: clean-am

clean-am: clean-generic clean-libtool clean-local mostlyclean-am

distclean: distclean-am
	-rm -f Makefile
distclean-am: clean-am distclean-generic

dvi: dvi-am

dvi-am:

html: html-am

info: info-am

info-am:

install-data-am:

install-dvi: install-dvi-am

install-exec-am:

install-html: install-html-am

install-info: install-info-am

install-man:

install-pdf: install-pdf-am

install-ps: install-ps-am

installcheck-am:

maintainer-clean: maintainer-clean-am
	-rm -f Makefile
