=== debian/changelog ===
pilot-link (0.12.4-7ubuntu1) lucid; urgency=low

  * Merge from debian testing.  Remaining changes: LP: #503437
    - debian/control: Add Breaks to ensure the right version of udev is used.
      (Change has to be continued as udev versioning in debian and
       ubuntu are different).

 -- Bhavani Shankar <right2bhavi@gmail.com>  Tue, 05 Jan 2010 20:34:29 +0530

pilot-link (0.12.4-7) unstable; urgency=low

  * Fix "please no longer suggest libmd5-perl" by removing "Suggests:
    libmd5-perl" for pilot-link and remove "Depends: libdigest-md5-perl" for
    libpda-pilot-perl (Closes: #558596)
  * move to "3.0 (quilt)" source format

 -- Ludovic Rousseau <rousseau@debian.org>  Sun, 06 Dec 2009 16:18:29 +0100

pilot-link (0.12.4-6) unstable; urgency=low

  * debian/control: replacing libreadline5-dev build dependency with
    libreadline-dev
    See http://lists.debian.org/debian-devel/2009/09/msg00549.html
  * debian/compat: 5 -> 7

 -- Ludovic Rousseau <rousseau@debian.org>  Wed, 23 Sep 2009 10:52:30 +0200

pilot-link (0.12.4-5) unstable; urgency=low

  * Fix "Can't sync over usb: on some Sony Cliés" patch
    debian/patches/10_clie_sj22.patch reintroduced (Closes: #544329)

 -- Ludovic Rousseau <rousseau@debian.org>  Tue, 01 Sep 2009 21:40:36 +0200

pilot-link (0.12.4-4) unstable; urgency=low

  * Fix "make pilot-link compilable on GNU/Hurd" Do not use libbluetooth-dev
    on Hurd (Closes: #543348)
  * debian/control: Standards-Version: 3.8.2 -> 3.8.3
  * debian/README.source: new file referring to quilt README.source
  * debian/rules: use dh_quilt_patch & dh_quilt_unpatch

 -- Ludovic Rousseau <rousseau@debian.org>  Wed, 26 Aug 2009 14:47:12 +0200

pilot-link (0.12.4-3ubuntu1) karmic; urgency=low

  * Merge from debian unstable, remaining changes: LP: #402102
    - debian/control: Add Breaks to ensure the right version of udev is used.
      (Change has to be continued as udev versioning in debian and 
       ubuntu are different).

 -- Bhavani Shankar <right2bhavi@gmail.com>  Tue, 25 Aug 2009 18:58:17 +0530

pilot-link (0.12.4-3) unstable; urgency=low

  * debian/patches/31_pilot-addresses.1: remove reference to addresses(1)
    Closes: #535900 "pilot-link: No "addresses" program"
  * debian/control: Add Breaks to ensure the right version of udev is used.
    (patch from Ubuntu)
    NOTE: the Debian and Ubuntu udev package numbering are different.
  * debian/rules: Use dh_installmodules (patch from Ubuntu)
  * debian/rules: Build for python2.6. (patch from Ubuntu)
  * debian/rules: add the Breaks on libpisock9 instead of pilot-link
  * debian/control: Standards-Version: 3.8.1 -> 3.8.2, no change needed
  * Fix "breaks compatibility and its reverse dependencies"
    libpisock9 now Breaks: packages compiled with libpisock9 0.12.3 and
    using the Contact API (only jpilot and python-jppy are concerned)
    Closes: #536877

 -- Ludovic Rousseau <rousseau@debian.org>  Mon, 20 Jul 2009 18:42:54 +0200

pilot-link (0.12.4-2ubuntu1) karmic; urgency=low

  * Merge from debian unstable (LP: #399595), remaining changes:
    - debian/control: Add Breaks to ensure the right version of udev is used.
    - debian/rules: Build for python2.6.
    - debian/rules: Use dh_installmodules

 -- Fabrice Coutadeur <fabricesp@ubuntu.com>  Wed, 15 Jul 2009 06:43:21 +0200

pilot-link (0.12.4-2) unstable; urgency=low

  * now for unstable. I do not expect transition problems.

 -- Ludovic Rousseau <rousseau@debian.org>  Fri, 29 May 2009 06:56:46 +0000

pilot-link (0.12.4-1) experimental; urgency=low

  * New upstream release
   - debian/patches/20_pi-md5.h.patch: included upstream
   - patches/10_clie_sj22.patch: included upstream
   - Fix "man page overly indented" (Closes: #509944)
  * move python-pisock-dbg package in the debug section

 -- Ludovic Rousseau <rousseau@debian.org>  Fri, 29 May 2009 01:24:10 +0200

pilot-link (0.12.3-11) unstable; urgency=low

  * Fix "FTBFS on GNU/kFreeBSD" libbluetooth-dev does not exists on this
    system (Closes: #522242)
  * Standards-Version: 3.7.3 -> 3.8.1
    add support of noopt and parallel= in DEB_BUILD_OPTIONS. parallel will do
    nothing since the compilation will fail with it.
  * refresh quilt patches as described in
    http://lists.debian.org/debian-devel-announce/2008/07/msg00000.html to
    prepare the "3.0 (quilt)" source package format migration

 -- Ludovic Rousseau <rousseau@debian.org>  Sat, 04 Apr 2009 22:58:44 +0200

pilot-link (0.12.3-10) unstable; urgency=low

  * use dh_installmodules to install /etc/modprobe.d/libpisock9.conf
    Closes: #518110: libpisock9: /etc/modprobe.d files without .conf
    Closes: #518709: libpisock9: Incorrect upgrade of libpisock modprobe file

 -- Ludovic Rousseau <rousseau@debian.org>  Sun, 08 Mar 2009 13:27:14 +0100

pilot-link (0.12.3-9) unstable; urgency=low

  * debian/rules: use /etc/modprobe.d/libpisock9.conf instead of
    /etc/modprobe.d/libpisock9
    Closes: #518110: libpisock9: /etc/modprobe.d files without .conf

 -- Ludovic Rousseau <rousseau@debian.org>  Sat, 07 Mar 2009 18:06:00 +0100

pilot-link (0.12.3-8) unstable; urgency=low

  * correct patches/10_clie_sj22.patch
   Closes: #505221: libpisock9: Patch badly applied : doesn't fix problem for me

 -- Ludovic Rousseau <rousseau@debian.org>  Sat, 07 Mar 2009 15:01:05 +0100

pilot-link (0.12.3-7) unstable; urgency=low

  * merge patches from Ubuntu
   - debian/patches/10_clie_sj22.patch: closes: #505221
    "libpisock9: Fix syncing with Sony Clie SJ-22"
   - Build-Depends: debhelper (>= 7.0.17)
    "Rebuild against new debhelper for udev rules path change."

 -- Ludovic Rousseau <rousseau@debian.org>  Sun, 22 Feb 2009 11:12:23 +0100

pilot-link (0.12.3-6) unstable; urgency=low

  * libpisock-dev depends on libbluetooth-dev instead of libbluetooth2-dev
    Closes: #501513: "pilot-link: shouldn't build depend on
    versioned libbluetooth-dev"
    Closes: #505200: "libpisock-dev: depends on virtual package
    libbluetooth2-dev"

