=== debian/control ===
Source: pilot-link
Section: otherosfs
Build-Depends: debhelper (>= 7.2.2), perl (>= 5.6), libpng-dev, libreadline-dev | libreadline-dev, python-all-dev (>= 2.3), python-support (>= 0.3), python-all-dbg, libusb-dev, libbluetooth-dev [!kfreebsd-amd64 !kfreebsd-i386 !hurd-i386], pkg-config, libpopt-dev
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Ludovic Rousseau <rousseau@debian.org>
Standards-Version: 3.8.3
XS-Python-Version: >= 2.3
Homepage: http://www.pilot-link.org/

Package: pilot-link
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Conflicts: pilot-link-perl
Suggests: libpda-pilot-perl
Description: tools to communicate with a PalmOS PDA
 The package contains many command line programs to manipulate databases
 stored on a PalmOS PDA. For example pilot-xfer can be used to backup,
 sync, and restore databases.

Package: libpda-pilot-perl
Architecture: any
Section: perl
Priority: extra
Depends: ${shlibs:Depends}, ${perl:Depends}, ${misc:Depends}
Replaces: pilot-link (<< 0.9.3-1), pilot-link-perl
Conflicts: pilot-link-perl
Description: Perl module to communicate with a PalmOS PDA
 This package provides the PDA::Pilot module, which provides Perl programs
 with means of communicating directly with a PalmOS device.

Package: python-pisock
Architecture: any
Section: python
Priority: extra
Suggests: python-pisock-dbg
Depends: ${shlibs:Depends}, ${python:Depends}, ${misc:Depends}
Replaces: pilot-link (<< 0.9.3-1), pilot-link-python
XB-Python-Version: ${python:Versions}
Provides: ${python:Provides}
Conflicts: pilot-link-python
Description: Python module to communicate with PalmOS PDA
 This package provides the pisock module, which provides Python programs
 with means of communicating directly with a PalmOS device.

Package: python-pisock-dbg
Architecture: any
Section: debug
Priority: extra
Depends: python-pisock (= ${binary:Version}), python-dbg, ${shlibs:Depends}, ${misc:Depends}
Description: Python module to communicate with PalmOS PDA (debug extension)
 This package provides the pisock module built for the Python debug
 interpreter, which provides Python programs with means of
 communicating directly with a PalmOS device.

Package: libpisock9
Architecture: any
Section: libs
Depends: ${shlibs:Depends}, ${misc:Depends}
Suggests: jpilot, pilot-link, kpilot, gnome-pilot, evolution, claws-mail, sylpheed
Breaks: udev (<< 136-1), jpilot (<< 1.6.2.4-2), python-jppy (<= 0.0.47-1.1)
Conflicts: pilot-link (<< 0.12.2-7)
Replaces: pilot-link (<< 0.12.2-7)
Description: library for communicating with a PalmOS PDA
 libpisock9 is a library used by pilot-link programs and any other
 packages that want to communicate with a PalmOS device.
 .
 See packages jpilot, pilot-link, malsync, kpilot, gnome-pilot,
 evolution if you are looking to user programs for your PDA.

Package: libpisync1
Architecture: any
Section: libs
Depends: ${shlibs:Depends}, ${misc:Depends}
Suggests: gnome-pilot, evolution
Description: synchronization library for PalmOS devices
 libpisync is a library for applications to synchronize data with PalmOS
 devices.
 .
 See packages gnome-pilot and evolution if you are looking to user
 programs for your PDA.

Package: libpisock-dev
Architecture: any
Section: libdevel
Priority: extra
Depends: ${misc:Depends}, libpisock9 (= ${binary:Version}), libpisync1 (= ${binary:Version}), libncurses-dev|libncurses5-dev, libusb-dev, libbluetooth-dev [!kfreebsd-amd64 !kfreebsd-i386 !hurd-i386]
Conflicts: libpisock3 (<= 0.9.5-pre5-1.1), pilot-link (<= 0.11.3-4)
Replaces: pilot-link (<= 0.11.3-4)
Description: development files for communicating with a PalmOS PDA
 libpisock-dev contains static libraries, header files and dynamic
 libraries for compiling applications that communicate with a PalmOS
 device.
 .
 You will need this package if you want to compile a C or C++ using
 libpisock9 or libpisync1.
